function E0090()
    MNA()CMU("XXXX")FAI(0)
end
function E0091()
    MNA()CMU("XXXX")FAI(1)
end
function E0092()
    MNA()CMU("XXXX")FAI(2)
end
function E0093()
    MNA()CMU("XXXX")FAI(3)
end
function E0094()
    MNA()CMU("XXXX")FAI(4)
end

function GoSeaBed()
    PRI()FAO(2)TRA("CS_seabed","E0090",151,1,0,2)
end

function GoSoapCastleEntrance()
    if(FLJ("PlayCastleAni")) then
        PRI()FAO(0)TRA("CS_soapcastle","TalaCatchChako",10,51)
    else
        PRI()FAO(0)TRA("CS_soapcastle_entrance","E0092",12,21,0,68)
    end
end

function FightIronhead()
    KEY()
    DNP("FightIronhead")
    FLP("FightIronhead")
    FLP("PlayCastleAni")
    AMC("float",1)
    FAO(2)
    MOV(43,12,MCI("CS_mychar_jackfish"))
    MOV(42,11,MCI("CS_mychar_santafish"))
    MOV(42,13,"CS_mychar_puppyfish_p3")
    SNP("null",45,12,0,"mainLayer","PuppySwimPos1")
    SNP("null",41,12,0,"mainLayer","SantaSwimPos1")
    AMC("normal",1)
    AMC("float",1)
    SLR(1)
    FAI(0)
    if(SKJ("QuickIronheadBoss")) then
        AMC("normal")
        ANP("Ironhead1","normal",0)
        --开始boss战
        DNP("PuppySwimPos1")
        DNP("SantaSwimPos1")
        CNP("DefeatedIronhead","CS_boss_ironhead",0,0)
        MNP("DefeatedIronhead","Ironhead1")
        DNP("Ironhead1")
        BSL("DefeatedIronhead")
        FLP("InBossFight")
        SKP("QuickIronheadBoss")
        --封锁出口
        SNP("CS_bubblewall_unbreakable",2,20,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",3,20,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",4,20,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",63,4,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",64,4,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",65,4,0,"mainLayer","BubbleWall1")
        CMU("CS_OppressionBetaExtra")
    else
        FON("Ironhead1")
        WAI(64)
        --铁头向左转
        ANP("Ironhead1","normal",0)
        WAI(64)
        FOM(64)
        ANP("Ironhead1","swim",0)
        WAI(128)
        ANP("Ironhead1","normal",0)
        --小狗上前叫 --桑塔缩后面
        AMC("set_target",1,"CS_mychar_puppyfish_p3")
        AMC("PuppySwimPos1",1,"CS_mychar_puppyfish_p3")
        AMC("swim_target",1,"CS_mychar_puppyfish_p3")
        WAI(64)
        AMC("float",1,"CS_mychar_puppyfish_p3")
        AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)
        AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(16)
        WAI(16)
        AMC("set_target",1,MCI("CS_mychar_santafish"))
        AMC("SantaSwimPos1",1,MCI("CS_mychar_santafish"))
        AMC("swim_target",1,MCI("CS_mychar_santafish"))
        WAI(16)
        AMC("float",1,MCI("CS_mychar_santafish"))
        WAI(32)
        MS3("\n哇！好大的鲨鱼！")NOD()CLO()
        WAI(32)
        ANP("Ironhead1","swim",0)
        WAI(16)
        AMC("bark",1,"CS_mychar_puppyfish_p3")WAI(32)
        AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(32)
        AMC("swim_back",1,"CS_mychar_puppyfish_p3")WAI(16)
        ANP("Ironhead1","swim_stop",0)
        WAI(48)
        AMC("float",1,"CS_mychar_puppyfish_p3")
        AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(16)AMC("bark_high",1,"CS_mychar_puppyfish_p3")WAI(16)
        FAC("jack_normal")MS3("请...")NOD()CAT("请问你有没有见到过")
        CAT("\n用泡泡抓人的妖怪？")NOD()CLR()
        FAC()CAT("\n我见到了新鲜的食物...")NOD()CLO()
        WAI(16)
        AMC("float",0,MCI("CS_mychar_jackfish"))
        WAI(64)
        AMC("float",1,MCI("CS_mychar_jackfish"))
        WAI(64)
        FAC("jack_><")MS3("\n快逃！")NOD()CLO()
        AMC("normal")
        --开始boss战
        DNP("PuppySwimPos1")
        DNP("SantaSwimPos1")
        CNP("DefeatedIronhead","CS_boss_ironhead",0,0)
        MNP("DefeatedIronhead","Ironhead1")
        DNP("Ironhead1")
        BSL("DefeatedIronhead")
        FLP("InBossFight")
        SKP("QuickIronheadBoss")
        --封锁出口
        SNP("CS_bubblewall_unbreakable",2,20,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",3,20,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",4,20,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",63,4,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",64,4,0,"mainLayer","BubbleWall1")
        SNP("CS_bubblewall_unbreakable",65,4,0,"mainLayer","BubbleWall1")
        CMU("CS_OppressionBetaExtra")
    end
end

--击败了铁头
function DefeatedIronhead()
    KEY()
    FLS("InBossFight")
    SKS("QuickIronheadBoss")
    CMU("XXXX")
    FAO(4)
    TRA("CS_sea_fishfight","ChatWithIronhead1",56,11)
end

function ChatWithIronhead1()
    KEY()
    MOV(56,11,MCI("CS_mychar_jackfish"))
    MOV(55,10,MCI("CS_mychar_santafish"))
    MOV(55,12,"CS_mychar_puppyfish_p3")
    AMC("float",1)
    WAI(64)
    FAI(4)
    WAI(16)
    MS3("抱歉我有点饿疯了，")NOD()
    CAT("\n所以攻击了你们。")NOD()CLR()
    CAT("我的主人不知道为什么")
    CAT("\n他昨天一整天都没来喂我。")NOD()CLR()
    FAC("jack_normal")CAT("\n主人？")NOD()CLR()
    FAC()CAT("主人很喜欢")
    CAT("\n看大鱼之间的打斗，")NOD()
    CAT("\n而我原本一直是这里的王者，")NOD()
    CAT("\n但直到一条龙鱼出现了。")NOD()CLR()
    CAT("他叫库龙，")NOD()
    CAT("\n体型比我还大，性格恶劣。")NOD()
    CAT("\n而且散发着一种让人着迷般的美丽。")NOD()CLR()
    CAT("从我输给他后，")
    CAT("\n主人就把他给供了起来。")NOD()CLR()
    CAT("\n我知道的只有这些了。")NOD()CLR()
    FAC("jack_normal")CAT("谢谢你和我们说这么多。")NOD()
    CAT("\n桑塔我们快出发吧。")NOD()
    AMC("normal")
end
